Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZTemplate Member List

This is the complete list of members for eZTemplate, including all inherited members.

$CacheDir | eZTemplate |
$CacheSuffix | eZTemplate |
$debugINI | eZTemplate |
$ExternModTime | eZTemplate |
$file | eZTemplate |
$files | eZTemplate |
$halt_on_error | eZTemplate |
$Ini | eZTemplate |
$intlDir | eZTemplate |
$language | eZTemplate |
$languageFile | eZTemplate |
$last_error | eZTemplate |
$ModuleDir | eZTemplate |
$phpFile | eZTemplate |
$ReplaceFunc | eZTemplate |
$root | eZTemplate |
$State | eZTemplate |
$Style | eZTemplate |
$TextStrings | eZTemplate |
$unknowns | eZTemplate |
$varkeys | eZTemplate |
$varvals | eZTemplate |
__construct( $templateDir="", $intlDir="", $language="", $phpFile="", $style=false, $module_dir=false, $state=false, $mod_time=false) | eZTemplate |
cache() | eZTemplate |
cacheFile() | eZTemplate |
cacheFileName() | eZTemplate |
cachePath() | eZTemplate |
clearCache() | eZTemplate |
clearVars( $except=array()) | eZTemplate |
filename( $filename) | eZTemplate | private
finish( $str) | eZTemplate |
get( $varname) | eZTemplate |
get_undefined($handle) | eZTemplate |
get_user_variable( $handle, $var) | eZTemplate |
get_var( $varname) | eZTemplate |
get_vars() | eZTemplate |
halt( $msg) | eZTemplate | private
haltmsg( $msg) | eZTemplate | private
hasCache() | eZTemplate |
ini() | eZTemplate |
loadfile( $handle) | eZTemplate |
p( $varname) | eZTemplate |
parse( $target, $handle="", $append=false) | eZTemplate |
pparse( $target, $handle, $append=false) | eZTemplate |
psubst( $handle) | eZTemplate |
set_block( $parent, $handle="", $name="", $required=true) | eZTemplate |
set_file( $handle, $filename="") | eZTemplate |
set_file_block( $parent) | eZTemplate |
set_root($root) | eZTemplate |
set_unknowns( $unknowns="keep") | eZTemplate |
set_var( $varname, $value="", $substIfEmpty="") | eZTemplate |
set_var_internal(&$varname, $value) | eZTemplate | private
setAllStrings() | eZTemplate |
storeCache( $target, $handle, $print=true) | eZTemplate |
subst( $handle) | eZTemplate | private

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.